<!doctype html>
<html lang="en">
<head>
    <title>PicoCTF: 2Warm</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
  <link rel="shortcut icon" href="/assets/img/logo.png" type="image/png">
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- link rel="shortcut icon" href="/assets/img/logo.png" type="image/png"-->
  <link rel="stylesheet" href="/assets/styles.css">
</head>
<body>
<header class=nav-bar>
  <nav>
    <div class=sidebar-button></div>
    <!--div id=bwtoggle></div-->
    <a class="homelink spy" href="/">r<span class=hideable>wx.gg</span></a>
    <div class="nav-right">
      <!-- div id=search-box></div -->
      <ul class=nav-links>
        <li class=nav-item><a class=nav-link href="/boost/">Boosts</a></li>
        <!--
        <li class=nav-item><a class=nav-link href="/how/">HowTos</a></li>
        <li class=nav-item><a class=nav-link href="/contrib/">Contribute</a></li>
        -->
        <li class=nav-item><a class="nav-link" href="https://gitlab.com/rwx.gg/README">GitLab</a></li>
        <li class=nav-item><a class="nav-link" href="https://www.youtube.com/rwxrob">YouTube</a></li>
        <li class=nav-item><a class="nav-link" href="https://discord.gg/9wydZXY">Discord</a></li>
        <li class=nav-item><a class="nav-link" href="https://twitch.tv/rwxrob">Twitch</a></li>
      </ul>
    </div>
  </nav>
</header>
<main id=top>
<div class=container>  <h1 id=title>PicoCTF: 2Warm</h1>
  <p>Can you convert the number 42 (base 10) to binary (base 2)?</p>
  <p><a href="/what/base/">What is a Base?</a></p>
  <p>We could just use a <a href="https://duck.com/lite?kd=-1&amp;kp=-1&amp;q=binary%20converter">binary converter</a>, but let’s actually do the counting, at least for a while.</p>
  <table>
  <thead>
  <tr class="header">
  <th>Base 10 (Decimal)</th>
  <th>Base 2 (Binary)</th>
  <th>Base 16 (Hexadecimal)</th>
  </tr>
  </thead>
  <tbody>
  <tr class="odd">
  <td>0</td>
  <td>0</td>
  <td>0</td>
  </tr>
  <tr class="even">
  <td>1</td>
  <td>1</td>
  <td>1</td>
  </tr>
  <tr class="odd">
  <td>2</td>
  <td>10</td>
  <td>2</td>
  </tr>
  <tr class="even">
  <td>3</td>
  <td>11</td>
  <td>3</td>
  </tr>
  <tr class="odd">
  <td>4</td>
  <td>100</td>
  <td>4</td>
  </tr>
  <tr class="even">
  <td>5</td>
  <td>101</td>
  <td>5</td>
  </tr>
  <tr class="odd">
  <td>6</td>
  <td>110</td>
  <td>6</td>
  </tr>
  <tr class="even">
  <td>7</td>
  <td>111</td>
  <td>7</td>
  </tr>
  <tr class="odd">
  <td>8</td>
  <td>1000</td>
  <td>8</td>
  </tr>
  <tr class="even">
  <td>9</td>
  <td>1001</td>
  <td>9</td>
  </tr>
  <tr class="odd">
  <td>10</td>
  <td>1010</td>
  <td>a</td>
  </tr>
  <tr class="even">
  <td>11</td>
  <td>1011</td>
  <td>b</td>
  </tr>
  <tr class="odd">
  <td>12</td>
  <td>1100</td>
  <td>c</td>
  </tr>
  <tr class="even">
  <td>13</td>
  <td>1101</td>
  <td>d</td>
  </tr>
  <tr class="odd">
  <td>14</td>
  <td>1110</td>
  <td>e</td>
  </tr>
  <tr class="even">
  <td>15</td>
  <td>1111</td>
  <td>f</td>
  </tr>
  <tr class="odd">
  <td>16</td>
  <td>10000</td>
  <td>10</td>
  </tr>
  <tr class="even">
  <td>17</td>
  <td>10001</td>
  <td>11</td>
  </tr>
  </tbody>
  </table>
  <p>Let’s use <code>bc</code> (which is included on all UNIX/Linux systems) to do the conversion.</p>
  <p>All we have to do is set the output base (<code>obase</code>) to 2.</p>
  <pre><code>$ bc
  bc 1.07.1
  Copyright 1991-1994, 1997, 1998, 2000, 2004, 2006, 2008, 2012-2017 Free
  Software Foundation, Inc.
  This is free software with ABSOLUTELY NO WARRANTY.
  For details type `warranty&#39;. 
  obase=2
  42
  101010
  ^C
  (interrupt) use quit to exit.</code></pre>
</main>
<footer>
  <p><a href="/copyright/" id=copyright>© 2020 Rob Muhlestein. Licensed under Creative Commons Attribution-ShareAlike.</a><br/>Does something seem to have changed? <a href="/changes/">Check the change log</a>.
  <br>See something wrong? <a class="nodecor" href="https://gitlab.com/rwx.gg/README/-/issues">Open a ticket</a>.
  </p>
</footer>
<script src="/assets/main.js"></script>
</body>
</html>